@echo off
cls
rem makedisk batch file
rem created 6/23/99
rem last modified 04/14/00
rem minimum requirements DOS 6.22 or NT* 3.51 or Windows* 95 or newer

rem Check available environment space
set env_chk=0123456789abcdef
if %env_chk% == 0123456789abcdef goto env_ok
goto env_bad

:env_ok
set env_chk=
rem Check that OS (%1) and destination (%2) are supplied and valid
if "%1" == "" goto USAGE
set dest=
if "%2" == "" set dest=A:
if "%2" == "A:\" set dest=A:
if "%2" == "a:\" set dest=A:
if "%2" == "B:\" set dest=B:
if "%2" == "b:\" set dest=B:
if "%dest%" == "" goto setdest
goto dest_ok

:setdest
set dest=%2
goto dest_ok

:dest_ok
if not exist ..\NET82557.INF goto wrongdir
if "%1" == "nt" goto valid
if "%1" == "NT" goto valid
if "%1" == "w2k" goto valid
if "%1" == "W2K" goto valid
if "%1" == "w95" goto valid
if "%1" == "W95" goto valid
if "%1" == "w98" goto valid
if "%1" == "W98" goto valid
if "%1" == "nw" goto valid
if "%1" == "NW" goto valid
if "%1" == "dos" goto valid
if "%1" == "DOS" goto valid
if "%1" == "util" goto valid
if "%1" == "UTIL" goto valid
goto invalid

:invalid
echo !!! COMMAND LINE PARAMETERS ARE NOT CORRECT !!!
goto usage

:valid

if "%dest%" == "a:" goto floppy
if "%dest%" == "b:" goto floppy
if "%dest%" == "A:" goto floppy
if "%dest%" == "B:" goto floppy
goto nofloppy

:nofloppy
cls
echo The destination you specified (%dest%) does not
echo appear to be a diskette. If you are trying to create a diskette,
echo press Control-C and answer Y. Then enter this command again, being sure
echo enter the drive letter without a trailing backslash (A: or B:).
echo.
echo If you do want the files copied to %dest%,
pause
goto continue

:floppy
cls
if exist %dest%\*.* echo !! THIS DISKETTE DOES NOT APPEAR TO BE FORMATTED !!
echo.
echo Please be sure that the disk in %dest% is 1.44 meg, formatted non-bootable and
echo has no pre-existing files. To format the diskette, press Control-C
echo and answer Y, then enter the command FORMAT %dest%. Otherwise,
pause
goto continue

:continue
if not exist ..\NET82557.INF goto wrongdir
if "%1" == "nt" goto nt
if "%1" == "NT" goto nt
if "%1" == "w2k" goto w2k
if "%1" == "W2K" goto w2k
if "%1" == "w95" goto w95
if "%1" == "W95" goto w95
if "%1" == "w98" goto w98
if "%1" == "W98" goto w98
if "%1" == "nw" goto nw
if "%1" == "NW" goto nw
if "%1" == "dos" goto dos
if "%1" == "DOS" goto dos
if "%1" == "util" goto valid
if "%1" == "UTIL" goto valid
goto USAGE

:nt
rem     *** Start of the Windows NT section ***
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the Microsoft Windows NT*
echo files to %dest%
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
pause

cls
echo.
echo Copying files to %dest%
echo.

:testcopy
copy ..\oemsetup.inf %dest%\
if not exist %dest%\oemsetup.inf goto NOCOPY

:nt_copyfile
if exist ..\IANS*.SYS copy ..\IANS*.SYS %dest%\
copy ..\E100B.SYS %dest%\
copy ..\E100BNT.SYS %dest%\
copy ..\IVLAN.SYS %dest%\
copy ..\PRODD.SYS %dest%\
copy ..\PROKDDP.SYS %dest%\
copy ..\PROMON.EXE %dest%\
copy ..\PROSETP.CNT %dest%\
copy ..\PROSETP.CPL %dest%\
copy ..\PROSETP.HLP %dest%\
if exist ..\PROSETP.REG copy ..\PROSETP.REG %dest%

echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100 LAN Adapter Configuration and
echo Microsoft Windows NT* Drivers (Release # from your CD)
echo.
echo *  Third party trademarks or brand names are the property of their owners.
goto end

:w2k
rem     *** Start of the Windows 2000 section ***
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the Microsoft Windows 2000*
echo files to %dest%
echo press CTRL-C and answer Y if this is NOT correct, otherwise
pause

cls
echo.
echo Copying files to %dest%
echo.

:testcopy
copy ..\net82557.inf %dest%\
if not exist %dest%\net82557.inf goto NOCOPY
goto w2k_copyfile

:w2k_copyfile
if exist ..\ANSMW2K.INF copy ..\ANSMW2K.INF %dest%\
if exist ..\ANSPW2K.INF copy ..\ANSPW2K.INF %dest%\
if exist ..\IANSW2K.SYS copy ..\IANSW2K.SYS %dest%\

if exist ..\iVLANM.INF copy ..\iVLANM.INF %dest%\
if exist ..\iVLANP.INF copy ..\iVLANP.INF %dest%\
if exist ..\IVLANW2K.SYS copy ..\IVLANW2K.SYS %dest%\

copy ..\Net82557.din %dest%\
copy ..\E100BNT5.SYS %dest%\
copy ..\E100Bw2k.cat %dest%\
copy ..\PRODD.SYS %dest%\
copy ..\PROKDDP.SYS %dest%\
copy ..\PRONTOBJ.DLL %dest%\
copy ..\PROMON.EXE %dest%\
copy ..\PROSETP.CNT %dest%\
copy ..\PROSETP.CPL %dest%\
copy ..\INTELNIC.DLL %dest%\
copy ..\PROSETP.HLP %dest%\
copy ..\PROUNSTL.EXE %dest%\

echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100 LAN Adapter Configuration and
echo Microsoft Windows 2000* Drivers (Release # from your CD)
echo.
echo *  Third party trademarks or brand names are the property of their owners.
goto end

:w95
rem     *** Start of the Windows 95 section ***
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the driver files for Microsoft Windows* 95
echo operating system to %dest%
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
pause

cls
echo.
echo Copying files to %dest%
echo.

:testcopy
copy ..\net82557.inf %dest%\
if not exist %dest%\net82557.inf goto NOCOPY
goto w95_copyfile

:w95_copyfile
if not exist ..\net82557.din goto SkipDin
copy ..\NET82557.din %dest%\
:SkipDin
copy ..\8255XDEL.EXE %dest%\
copy ..\8255XNDI.DLL %dest%\
copy ..\E100B.CAT %dest%\
	if exist ..\E100B.DOS goto N2ROOT
if not exist ..\DOS\E100B.DOS goto W98_cont
copy ..\DOS\E100B.DOS %dest%\
goto W95_cont
:N2ROOT
copy ..\E100B.DOS %dest%\
:W95_cont
copy ..\E100B.SYS %dest%\
copy ..\E100BNT.SYS %dest%\
copy ..\E100BNT5.SYS %dest%\
copy ..\PRODD.VXD %dest%\
copy ..\PROKDDP.VXD %dest%\
copy ..\PROMON.EXE %dest%\
copy ..\PROSETP.CNT %dest%\
copy ..\PROSETP.CPL %dest%\
copy ..\PROSETP.HLP %dest%\
copy ..\WOL558.VXD %dest%\

echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100 LAN Adapter Configuration
echo and Windows* Drivers (Release # from your CD)
echo.
echo *  Third party trademarks or brand names are the property of their owners.
echo.
goto end

:w98
rem     *** Start of the Windows 98 section ***
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the driver files for Microsoft Windows* 98
echo operating system to %dest%
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
pause

cls
echo.
echo Copying files to %dest%
echo.

:testcopy
copy ..\net82557.inf %dest%\
if not exist %dest%\net82557.inf goto NOCOPY
goto w98_copyfile

:w98_copyfile
if not exist ..\net82557.din goto SkipDin
copy ..\NET82557.din %dest%\
:SkipDin
copy ..\8255XDEL.EXE %dest%\
copy ..\8255XNDI.DLL %dest%\
copy ..\E100B.CAT %dest%\
	if exist ..\E100B.DOS goto N2ROOT
if not exist ..\DOS\E100B.DOS goto W98_cont
copy ..\DOS\E100B.DOS %dest%\
goto W98_cont
:N2ROOT
copy ..\E100B.DOS %dest%\
:W98_cont
copy ..\E100BNT5.SYS %dest%\
copy ..\PRODD.VXD %dest%\
copy ..\PROKDDP.VXD %dest%\
copy ..\PROMON.EXE %dest%\
copy ..\PROSETP.CNT %dest%\
copy ..\PROSETP.CPL %dest%\
copy ..\PROSETP.HLP %dest%\
copy ..\WOL558.VXD %dest%\

echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100 LAN Adapter Configuration
echo and Windows* Drivers (Release # from your CD)
echo.
echo *  Third party trademarks or brand names are the property of their owners.
echo.
goto end

:nw
rem     *** Start of the NetWare section ***
echo.
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the NetWare* server and client
echo driver files to %dest%
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
pause

cls
echo.
echo Copying files to %dest%
echo.

:TESTCOPY
copy ..\NOVELL.LST %dest%\
if not exist %dest%\novell.lst goto nocopy
goto nw_makedirs

:nw_makedirs
md %dest%\DOS
md %dest%\NWSERVER
copy ..\NWSERVER\CE100B.* %dest%\NWSERVER
copy ..\NWSERVER\*.NLM %dest%\NWSERVER
copy ..\NWSERVER\*.TXT %dest%\NWSERVER
if exist ..\NWSERVER\IANS.LAN copy ..\NWSERVER\IANS.LAN %dest%\NWSERVER
md %dest%\OS2
md %dest%\INFO
md %dest%\INFO\GENERAL
md %dest%\INFO\NETWARE
md %dest%\INFO\MS
md %dest%\INFO\OTHER
goto nw_copyfile

:nw_copyfile
copy ..\README.BAT %dest%\
copy ..\README.LST %dest%\README.LST
copy ..\NOVELL.LST %dest%\
copy ..\MICROSFT.LST %dest%\
copy ..\OTHER.LST %dest%\
copy ..\README.TXT %dest%\
copy ..\SETUP.EXE %dest%\
copy ..\DOS\*.* %dest%\DOS
copy ..\OS2\*.* %dest%\OS2
copy ..\INFO\GENERAL\*.TXT %dest%\INFO\GENERAL
copy ..\INFO\NETWARE\*.* %dest%\INFO\NETWARE
copy ..\INFO\MS\*.* %dest%\INFO\MS 
copy ..\INFO\OTHER\*.* %dest%\INFO\OTHER

echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100 LAN Adapter Configuration
echo and Novell Drivers (Release # from your CD)
echo.
echo *  Third party trademarks or brand names are the property of their owners.
goto END

:dos
rem     *** Start of the DOS and OS2 section ***
rem Echo what we are about to do
cls
echo.
echo This batch file will copy the driver files for Microsoft
echo DOS* and IBM OS/2* operating systems
echo to %dest%
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
pause

cls
echo.
echo Copying files to %dest%
echo.

:testcopy
copy ..\SETUP.EXE %dest%\
if not exist %dest%\SETUP.EXE goto NOCOPY
goto dos_makedirs

:dos_makedirs
md %dest%\DOS
md %dest%\OS2
md %dest%\INFO  
md %dest%\INFO\GENERAL
md %dest%\INFO\MS
md %dest%\INFO\OTHER
md %dest%\INFO\NETWARE
goto dos_copyfile

:dos_copyfile
copy ..\DOS\E100B.DOS %dest%\
copy ..\MICROSFT.LST %dest%\
copy ..\NOVELL.LST %dest%\
copy ..\OTHER.LST %dest%\
copy ..\README.BAT %dest%\
copy ..\README.TXT %dest%\
copy ..\SETUP.EXE %dest%\
copy ..\DOS\*.* %dest%\DOS\*.*
copy ..\OS2\*.* %dest%\OS2\*.*
copy ..\README.LST %dest%\README.LST  
copy ..\INFO\MS\MSTEAM.TXT %dest%\INFO\MS\
copy ..\INFO\MS\MS.TXT %dest%\INFO\MS
copy ..\INFO\MS\NTPUSH.TXT %dest%\INFO\MS
copy ..\INFO\OTHER\OTHER.TXT %dest%\INFO\OTHER
copy ..\INFO\GENERAL\PCI.TXT %dest%\INFO\GENERAL
copy ..\INFO\GENERAL\MANAGE.TXT %dest%\INFO\GENERAL
copy ..\INFO\GENERAL\SHAREIRQ.TXT %dest%\INFO\GENERAL
copy ..\INFO\GENERAL\MASTENAB.TXT %dest%\INFO\GENERAL
copy ..\INFO\GENERAL\TEAMING.TXT %dest%\INFO\GENERAL
copy ..\INFO\NETWARE\NWODIDOS.TXT %dest%\INFO\NETWARE 

echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100 LAN Adapter Configuration
echo and DOS* - OS/2* Drivers (Release # from your CD)
echo.
echo *  Third party trademarks or brand names are the property of their owners.
goto END

:util
cls
echo This batch file will copy the DOS test
echo program and all of the installation and use instructions
echo to %dest%
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
pause
cls
copy ..\SETUP.EXE %dest%\
if not exist %dest%\SETUP.EXE goto NOCOPY
md %dest%\INFO  
md %dest%\INFO\GENERAL
md %dest%\INFO\MS
md %dest%\INFO\OTHER
md %dest%\INFO\NETWARE
md %dest%\UNIX
md %dest%\UNIX\SCO5
md %dest%\UNIX\UW2
md %dest%\UNIX\UW7
md %dest%\UNIX\UW7DDI8
copy ..\README.BAT %dest%\
copy ..\README.TXT %dest%\
copy ..\MICROSFT.LST %dest%\
copy ..\NOVELL.LST %dest%\
copy ..\OTHER.LST %dest%\
copy ..\README.LST %dest%\README.LST  
copy ..\INFO\MS\*.TXT %dest%\INFO\MS
copy ..\INFO\OTHER\*.TXT %dest%\INFO\OTHER
copy ..\INFO\GENERAL\*.TXT %dest%\INFO\GENERAL
copy ..\INFO\NETWARE\*.TXT %dest%\INFO\NETWARE 
copy ..\UNIX\SCO5\README.TXT %dest%\UNIX\SCO5\README.TXT
copy ..\UNIX\UW2\README.TXT %dest%\UNIX\UW2\README.TXT
copy ..\UNIX\UW7\README.TXT %dest%\UNIX\UW7\README.TXT
copy ..\UNIX\UW7DDI8\README.TXT %dest%\UNIX\UW7DDI8\README.TXT

goto end

:env_bad
set env_chk=
cls
echo ERROR: Your computer does not have sufficient environment space to
echo run this batch file. Please increase the available environment space
echo and run this batch file again. To increase the avaiable environment
echo space, please do the following;
echo.
echo                                  DOS
echo If you are running DOS, edit the CONFIG.SYS file and find the statement
echo COMMAND=C:\(PATH)\COMMAND.COM /e:(number)
echo where (path) is the directory path to your COMMAND.COM file and (number)
echo is a numerical value. Increase the numerical value by at least 32.
echo If this line does not exist, add the following line;
echo COMMAND=C:\COMMAND.COM /E:512
echo Reboot the computer before running this batch file again.
echo.
echo                        Windows* 2000 and Windows NT*
echo Click Start, then Run, then enter "CMD /E:4096" (without the quotes) to
echo open a DOS window, and then re-run this batch file in that window.
echo.
echo                        Windows* 95 and Windows 98
echo Click Start, then Run, then enter "COMMAND /E:4096" (without the quotes) to
echo open a DOS window, and then re-run this batch file in that window.
goto end

:WRONGDIR
cls
echo You must run this utility from the \MAKEDISK directory.
goto usage

:NOCOPY
cls
echo.
echo Can not copy to %dest%.
echo Please check your syntax and try again
goto usage

:usage
echo                       USAGE RULES
echo MAKEDISK [operating system] [destination (optional, A: if not specified)]
echo.
echo where [operating system] is the OS family you are creating the diskette for
echo W2K = Microsoft Windows* 2000
echo NT  = Microsoft Windows NT*
echo W95 = Microsoft Windows 95
echo W98 = Microsoft Windows 98
echo NW  = Novell NetWare* servers and clients
echo DOS = Microsoft DOS* and IBM OS/2*
echo.
echo and where [destination] is the drive letter and path (such as A:)
echo Do not add a trailing backslash (\) to the destination path. 
echo [destination] (will be A: if none specified) is expected to be formatted media. 
echo This utility MUST be run from the \MAKEDISK directory.
echo                           EXAMPLE
echo To create a Windows NT install diskette in A:, from the MAKEDISK directory run;
echo        MAKEDISK NT
echo.
echo *  Third party trademarks or brand names are the property of their owners.
pause
goto END

:END
set dest=
